installing The Perfect Server CentOS 8 with Apache, PHP etc.

Discussion in 'ISPConfig 3 Priority Support' started by Robertus, Jan 23, 2021.

  1. Robertus

    Robertus Member HowtoForge Supporter

    hello,
    I am installing the above with this tut: https://www.howtoforge.com/tutorial...l-php-pureftpd-postfix-dovecot-and-ispconfig/
    At point 11 I get errors on two packages.

    [[email protected] getmail-5.14]# dnf -y install amavisd-new
    Failed to set locale, defaulting to C.UTF-8
    Last metadata expiration check: 0:18:41 ago on Sat Jan 23 20:45:10 2021.
    Error:
    Problem: conflicting requests
    - nothing provides perl(IO::Stringy) needed by amavis-2.12.1-3.el8.noarch
    (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
    [[email protected] getmail-5.14]#

    [[email protected] getmail-5.14]#
    [[email protected] getmail-5.14]# dnf -y install re2c
    Failed to set locale, defaulting to C.UTF-8
    Last metadata expiration check: 0:18:59 ago on Sat Jan 23 20:45:10 2021.
    No match for argument: re2c
    Error: Unable to find a match: re2c
    [[email protected] getmail-5.14]#

    What did I miss? My OS is Centos 8.3.

    Rob
     
  2. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

  3. Robertus

    Robertus Member HowtoForge Supporter

    Hello Th0m,
    Thanks for the prompt answer. I always ignore the locale error. However your link to that page did solve the locale error. But the error I wanted to solve is still there.

    [[email protected] ~]# dnf -y install amavisd-new
    Last metadata expiration check: 0:47:54 ago on Sat 23 Jan 2021 08:45:10 PM CET.
    Error:
    Problem: conflicting requests
    - nothing provides perl(IO::Stringy) needed by amavis-2.12.1-3.el8.noarch
    (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
    [[email protected] ~]#

    [[email protected] ~]# dnf -y install re2c
    Last metadata expiration check: 0:48:22 ago on Sat 23 Jan 2021 08:45:10 PM CET.
    No match for argument: re2c
    Error: Unable to find a match: re2c
    [[email protected] ~]#

    Hmm, one thing at the time. I need to go practice my ubuntu skills I guess. Cose debian I tried that once for a while but I don't really like it.
     
  4. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Did you add the additional repo's (step 4)?

    Of course one thing at a time, but it would be a waste to install on CentOS now only to migrate to a different OS soon :)

    I personally use Debian. Ubuntu is much alike Debian.
     
  5. Robertus

    Robertus Member HowtoForge Supporter

    I know centos best, I need a while to get used to ubuntu, I used that as a desktop OS for a while. Currently I have a crappy centos 7 server which needs to be decommed. For now I will settle with this one. I know you don't like centos very much from before :)

    Step 4, I think at least this step went wrong, it didn't gave a clear error before.
    [[email protected]# dnf config-manager --set-enabled PowerTools
    Error: No matching repo to modify: PowerTools.
     
  6. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Can you try
    Code:
    dnf config-manager --set-enabled powertools
     
  7. Robertus

    Robertus Member HowtoForge Supporter

    gives no output, no error no confirmation

    dnf config-manager --set-enabled PowerTools, gives the same error
     
  8. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

  9. Robertus

    Robertus Member HowtoForge Supporter

    I tried just now, that made the difference. Your a genius! The other error is gone now, I was able to install amavisd-new and rec2.
    Now can I just continue at 11 or should I start allover? I will not wait for your answer today, I will read it tomorrow.
    For now thanks a lot! I really impressed with that you've answered tonight, I didn't expect any answer until after the weekend.
     
  10. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Glad to hear. If you did not see any other errors when you were doing the installation, it should be safe to pick up at step 11.

    No problem, I try to reply on weekends, nights, and holidays, though one needs sleep/rest occasionally ;)
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    I've changed it in the guide. Such an issue is the reason why using CentOS does not result in a longtime stable setup in most cases. If they want to change such a setting from camelcase to lowercase, where is the problem that the code simply accepts both, shows a deprecated warning, and just works?
     
  12. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    I completely agree... typical.
     
  13. Robertus

    Robertus Member HowtoForge Supporter

    next issue is certbot,
    [[email protected] certbot]# ./certbot-auto
    Skipping bootstrap because certbot-auto is deprecated on this system.
    WARNING: couldn't find Python 3.6+ to check for updates.
    Your system is not supported by certbot-auto anymore.
    Certbot cannot be installed.
    Please visit https://certbot.eff.org/ to check for other alternatives.

    I had a look at that site, and I tried to get through it but I bump into other issues.
     
  14. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    If certbot is missing, acme.sh should be installed automatically by ISPConfig.
     
    Robertus likes this.
  15. till

    till Super Moderator Staff Member ISPConfig Developer

    Or you can install acme.sh manually like this:

    curl https://get.acme.sh | sh -s

    ISPConfig downloads acme.sh on its own, but only for website ssl certs and not for the installer yet, so better install it manually before running ISPConfig installer.
     
    Th0m likes this.
  16. Robertus

    Robertus Member HowtoForge Supporter

    ah too late, I installed ISP-config already, I can not test certbot yet, cause I don't have an URL pointing at the server yet. I am a little busy with roundcubemail now.

    I think I missed a step, but I did this part several times. I removed the table and the user and the whole directory but I keep getting:

    DATABASE ERROR: CONNECTION FAILED!
    Unable to connect to the database!
    Please contact your server-administrator.
     
  17. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Did you create the DB user and are you using the correct login name and password?
     
  18. Robertus

    Robertus Member HowtoForge Supporter

    yes like is written in the tut, with my own password, this password I used in the installer. But I don't see where I do "Initialize database".

    CREATE DATABASE roundcubedb;
    CREATE USER [email protected] IDENTIFIED BY 'roundcubepassword';
    GRANT ALL PRIVILEGES on roundcubedb.* to [email protected] ;
    FLUSH PRIVILEGES;
    exit
     
  19. Robertus

    Robertus Member HowtoForge Supporter

    Btw, I installed the first wordpress site on the server, the certificates are working for this site. And Wordpress has send me a mail saying that it is installed the default wordpress email. So the mail seems to be working.
     
  20. Robertus

    Robertus Member HowtoForge Supporter

    although my squirel mail doesn't works yet. Sorry if I was unclear :)
     

Share This Page